RubyGems Navigation menu

glimmer 2.4.1

Glimmer is a Ruby DSL Framework for Ruby GUI and More, consisting of a DSL Engine and an Observable / Observer / Data-Binding Library (including Observable Model, Observable Array, and Observable Hash). Used in Glimmer DSL for SWT (JRuby Desktop Development GUI Framework), Glimmer DSL for Tk (Ruby Desktop Development GUI Library), Glimmer DSL for LibUI (Prerequisite-Free Ruby Desktop Development GUI Library), Glimmer DSL for Opal (Pure Ruby Web GUI and Auto-Webifier of Desktop Apps), Glimmer DSL for XML (& HTML), and Glimmer DSL for CSS.

Versions:

  1. 2.7.3 - March 26, 2022 (50 KB)
  2. 2.7.2 - March 24, 2022 (50 KB)
  3. 2.7.1 - February 26, 2022 (49.5 KB)
  4. 2.7.0 - February 20, 2022 (49 KB)
  5. 2.6.0 - January 22, 2022 (48 KB)
  6. 2.4.1 - November 01, 2021 (45 KB)
Show all versions (115 total)

Runtime Dependencies (2):

  • array_include_methods ~> 1.4.0
  • facets >= 3.1.0, < 4.0.0
  • Development Dependencies (10):

  • coveralls >= 0
  • jeweler >= 2.0.0, < 3.0.0
  • puts_debuggerer ~> 0.13
  • rake >= 10.1.0, < 14.0.0
  • rake-tui >= 0
  • rdoc >= 6.2.1, < 7.0.0
  • rspec ~> 3.5.0
  • rspec-mocks ~> 3.5.0
  • simplecov ~> 0.16.1
  • simplecov-lcov ~> 0.7.0
  • Owners:

    Pushed by:

    Authors:

    • AndyMaleh

    SHA 256 checksum:

    76a3a62f9f525ba9f1e522b067b77273ec629343f17c273f037bde4f81318f56

    Total downloads 117,137

    For this version 872

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: